select X.ID_DN, X.ID_STORITVE,X.ID_PLOVILA,X.IME,X.NTIP,X.VRSTA,X.TECAJP,X.STORITEV,X.KAT,X.TIMEKAT,X.SKLOP_TIMEKAT, X.SKLOP_KAT,X.PROCKAT,X.OPIS,X.DATUM_OD,X.DATUM_DO,
X.DAVEK,X.POPUST,X.POPUST1,X.POPUST2,X.PROVIZIJA,nvl(X.KOMENTAR,'') as KOMENTAR,X.KOLICINA,X.VALUTA,X.ZNESEK,
X.ZNESEK_TUJA,X.USER_KREIRANJA,X.AUTO,X.DOMACA_VALUTA,X.DODATNA_STORITEV,X.ZACETNA_CENA, X.PROVIZIJA_DELITEV, X.CUSTOM, X.CPROVIZIJA, X.SERVICE_COST, X.COMPLETE, X.VRSTAST
,X.N_RACUNA
from (select X.ID_DN, X.ID_STORITVE,X.ID_PLOVILA, Z.IME,Z.NTIP,(SELECT A.VRSTA FROM M_NNKATEG A WHERE Y.TIMEKAT=A.SIFRA_SKLOPA and X.TIMEKAT=A.SIFRA) AS VRSTA, 
X.TECAJP,X.STORITEV,X.KAT,X.TIMEKAT,Y.TIMEKAT as SKLOP_TIMEKAT, Y.KAT AS SKLOP_KAT,X.PROCKAT,Y.OPIS,X.DATUM_OD,X.DATUM_DO,
X.DAVEK,X.POPUST,X.POPUST1,X.POPUST2,X.PROVIZIJA,nvl(X.KOMENTAR,'') as KOMENTAR,X.KOLICINA,Y.VALUTA,X.ZNESEK,
X.ZNESEK*:ENOTA/:TECAJ as ZNESEK_TUJA,X.USER_KREIRANJA,X.DATUM_KREIRANJA,X.AUTO,X.DOMACA_VALUTA,X.DODATNA_STORITEV,Y.ZACETNA_CENA, X.PROVIZIJA_DELITEV, X.CUSTOM, X.CPROVIZIJA, X.SERVICE_COST, X.COMPLETE, X.VRSTA AS VRSTAST
,X.N_RACUNA
from M_STORITVE X,M_NNSTOMAR Y,PLOVILA Z
where X.TIMEKAT is not null
and X.ID_PLOVILA=1012189
and X.STORITEV=Y.SIFRA(+) and X.VRSTA in ('PO','ST')
and X.N_RACUNA is not null
and X.ID_PLOVILA=Z.ID(+)
union
select X.ID_DN, X.ID_STORITVE,X.ID_PLOVILA, Z.IME,Z.NTIP,null as VRSTA,X.TECAJP,X.STORITEV,X.KAT,X.TIMEKAT,Y.TIMEKAT as SKLOP_TIMEKAT, Y.KAT AS SKLOP_KAT,X.PROCKAT,Y.OPIS,X.DATUM_OD,X.DATUM_DO,
X.DAVEK,X.POPUST,X.POPUST1,X.POPUST2,X.PROVIZIJA,nvl(X.KOMENTAR,'') as KOMENTAR,X.KOLICINA,Y.VALUTA,X.ZNESEK,
X.ZNESEK*:ENOTA/:TECAJ as ZNESEK_TUJA,X.USER_KREIRANJA,X.DATUM_KREIRANJA,X.AUTO,X.DOMACA_VALUTA,X.DODATNA_STORITEV,Y.ZACETNA_CENA, X.PROVIZIJA_DELITEV, X.CUSTOM, X.CPROVIZIJA, X.SERVICE_COST, X.COMPLETE, X.VRSTA AS VRSTAST
,X.N_RACUNA
from M_STORITVE X,M_NNSTOMAR Y,PLOVILA Z
where X.TIMEKAT is null
and X.ID_PLOVILA=1012189
and X.STORITEV=Y.SIFRA(+) and X.VRSTA in ('PO','ST')
and X.N_RACUNA is not null
and X.ID_PLOVILA=Z.ID(+)
) X
order by X.DATUM_OD DESC, X.DATUM_KREIRANJA
